Bug 1905903 - Rules in kube-apiserver.rules are taking too long and consuming too much memory for Prometheus to evaluate them
Summary: Rules in kube-apiserver.rules are taking too long and consuming too much memo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.6.z
Assignee: Damien Grisonnet
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1872786
Blocks: 1906081
TreeView+ depends on / blocked
 
Reported: 2020-12-09 10:07 UTC by OpenShift BugZilla Robot
Modified: 2021-01-21 14:05 UTC (History)
28 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-21 13:24:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1014 0 None closed [release-4.6] Bug 1905903: jsonnet: remove apiserver_request:availability30d 2021-02-15 19:56:45 UTC
Red Hat Product Errata RHSA-2020:5614 0 None None None 2020-12-21 13:24:47 UTC

Comment 2 Scott Dodson 2020-12-10 19:45:50 UTC
Once a fix has been posted its severity that affects where it falls in the merge queue, so bumping severity of this to be inline with the impact on OSD. Priority reflects how the team orders their work allocation.

Comment 4 Junqi Zhao 2020-12-14 09:06:16 UTC
tested with 4.6.0-0.nightly-2020-12-13-230909, apiserver_request:availability30d record rules are removed
# oc -n openshift-monitoring get prometheusrules prometheus-k8s-rules -oyaml | grep -i "apiserver_request:availability30d"
no result

Comment 7 errata-xmlrpc 2020-12-21 13:24:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.9 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5614


Note You need to log in before you can comment on or make changes to this bug.